<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2017 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_kategorie
 * @license GNU
 * @version 1.02
 *         
 */


namespace css_kategorie;


if(defined("FILENAME_KUNDENZIP") || defined("JTLCRON") || defined("AM_EINSTELLUNGEN")) return;

require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.css_kategorie.php';

$cssPlugin = css_kategorie::getInstance($oPlugin);


if(file_exists($oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php')){
	require_once $oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php';
}

switch($oPlugin->nCalledHook) {
	case HOOK_SMARTY_OUTPUTFILTER:
		$cssPlugin->insertKategoriePlus();
		break;

	case HOOK_CSS_JS_LIST:
	
		$cssPlugin->hookCssJsList($args_arr);
		break;

}

